#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include "freertos/event_groups.h"
#include "freertos/semphr.h"

#include <nvs_flash.h>

#include <esp_system.h>
#include <esp_event.h>

#include "ble_keyboard.h"

void app_main(void){
  esp_err_t   ret;

  // NVS(不揮発性メモリ)を初期化
  MODLOG_DFLT(INFO, "Initialize NVS");
  ret = nvs_flash_init();
  if (ret == ESP_ERR_NVS_NO_FREE_PAGES || ret == ESP_ERR_NVS_NEW_VERSION_FOUND) {
    ESP_ERROR_CHECK(nvs_flash_erase());
    ret = nvs_flash_init();
  }
  ESP_ERROR_CHECK(ret);

  // BLEサーバーを初期化
  ble_init_server();

  while(1){
    vTaskDelay(5000/portTICK_PERIOD_MS);
    if(ble_is_connected()){
      vTaskDelay(1000/portTICK_PERIOD_MS);
      send_text("1234567890\n");
    }
  }
}
